package com.azt.itower.command;

import com.azt.itower.game.ResourceConstants;
/**
 *
 * Commands encapsulate primitive actions to be executed
 * @author thanassis@thanassis.com
 * @version 0.9 beta
 */
public interface Command extends ResourceConstants {

    /**
     * Execute the action
     */
    public void execute();

    /**
     * Unexecute the action (undo)
     */
    public void unexecute();
}
