package com.azt.itower.game;

/**
 * As a subclass of Player, HumanPlayer overides the play method and
 * allows interaction with the user
 * @author thanassis@thanassis.com
 * @version 0.9 beta
 */
public class HumanPlayer extends Player {

   /**
    * A HumanPlayer gets constructed with a Name
    */
    public HumanPlayer(String s) {
        super(s);
    }

    /**
     * Waits until player has played
     */
    public void waitToPlay() {
        while (playerIsThinking) {
            pause(20);
        }
    }

    /**
     * Overides the play method and gives no implementation
     */
    public void playCard() {
    }
}
